Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.property
Class Props

    java.lang.Object
      cascading.property.Props

Direct Known Subclasses:
  AppProps, CascadeProps, FlowConnectorProps, FlowProps, HfsProps, SpillableProps, TupleSerializationProps

    public abstract class Props

extends Object

Class Props is the base class for frameworks specific properties helper classes.

Use the sub-classes to either create a `Properties` instance with custom or default values to be passed to any sub-system that requires a Map or Properties instance of properties and values.

Constructor Summary
`Props()`

Method Summary
`protected abstract void` | `addPropertiesTo(Properties properties)`
`Properties` | `buildProperties()` Method buildProperties returns a new `Properties` instance with all property values for this type.
`Properties` | `buildProperties(Iterable<Map.Entry<String,String>> defaultProperties)` Method buildProperties returns a new `Properties` instance with all property values for this type using the given Iterable> of property values as defaults.
`Properties` | `buildProperties(Map<Object,Object> defaultProperties)` Method buildProperties returns a new `Properties` instance with all property values for this type using the given Map of property values as defaults.
`Properties` | `buildProperties(Properties defaultProperties)` Method buildProperties returns a new `Properties` instance with all property values for this type using the given Properties instance of property values as defaults.
`ConfigDef` | `setProperties(ConfigDef configDef)`
`ConfigDef` | `setProperties(ConfigDef configDef, ConfigDef.Mode mode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Props

    public Props()

Method Detail

### buildProperties

    public Properties buildProperties()

  Method buildProperties returns a new `Properties` instance with all property values for this type.

  If no values have been set, all default properties and values will be returned.

  Returns:
    a new Properties instance

### buildProperties

    public Properties buildProperties(Map<Object,Object> defaultProperties)

  Method buildProperties returns a new `Properties` instance with all property values for this type using the given Map of property values as defaults. The given Map will not be modified.

  If no values have been set, all default properties and values will be returned.

  Returns:
    a new Properties instance

### buildProperties

    public Properties buildProperties(Iterable<Map.Entry<String,String>> defaultProperties)

  Method buildProperties returns a new `Properties` instance with all property values for this type using the given Iterable> of property values as defaults. The given Iterable will not be modified.

  If no values have been set, all default properties and values will be returned.

  Returns:
    a new Properties instance

### buildProperties

    public Properties buildProperties(Properties defaultProperties)

  Method buildProperties returns a new `Properties` instance with all property values for this type using the given Properties instance of property values as defaults. The given Map will not be modified.

  If no values have been set, all default properties and values will be returned.

  Returns:
    a new Properties instance

### setProperties

    public ConfigDef setProperties(ConfigDef configDef)

### setProperties

    public ConfigDef setProperties(ConfigDef configDef,
                                   ConfigDef.Mode mode)

### addPropertiesTo

    protected abstract void addPropertiesTo(Properties properties)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.